# List share recipients

Launch stage: GA

`GET /api/2.1/unity-catalog/recipients`

Gets an array of all share recipients within the current metastore where:
 
   * the caller is a metastore admin, or
   * the caller is the owner.
 There is no guarantee of a specific ordering of the elements in the array.

API scopes: sharing

## Query parameters

- `data_recipient_global_metastore_id` (string, optional)
  If not provided, all recipients will be returned.
   If no recipients exist with this ID, no results will be returned.
- `max_results` (int32, optional)
  Maximum number of recipients to return.
    - when set to 0, the page length is set to a server configured value (recommended);
    - when set to a value greater than 0, the page length is the minimum of this value and a server configured value;
    - when set to a value less than 0, an invalid parameter error is returned;
    - If not set, all valid recipients are returned (not recommended).
    - Note: The number of returned recipients might be less than the specified max_results size, even zero.
   The only definitive indication that no further recipients can be fetched is when the next_page_token is unset from the response.
  Constraints: `<= 1000`
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on previous query.

## Returns

Returns a list of RecipientInfo objects.

## Response

```json
{
  "recipients": [
    {
      "name": "string",
      "authentication_type": "TOKEN",
      "sharing_code": "string",
      "data_recipient_global_metastore_id": "string",
      "owner": "string",
      "comment": "string",
      "ip_access_list": {},
      "properties_kvpairs": {},
      "expiration_time": 0,
      "activation_url": "string",
      "activated": true,
      "created_at": 0,
      "created_by": "string",
      "tokens": [
        {}
      ],
      "updated_at": 0,
      "updated_by": "string",
      "cloud": "string",
      "region": "string",
      "metastore_id": "string",
      "id": "string"
    }
  ],
  "next_page_token": "string"
}
```

